Description: Fix return status for numgrep
Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=708308
Last-Update: 2016-08-06
Index: num-utils-0.5/numgrep
===================================================================
--- num-utils-0.5.orig/numgrep	2016-08-06 08:56:20.722570118 +0200
+++ num-utils-0.5/numgrep	2016-08-06 08:56:20.718570118 +0200
@@ -53,6 +53,8 @@
 my $match_expression = shift;
 $match_expression =~ s/^\/(.*)\/$/$1/;
 
+my $hit = 0;
+
 # Now read in any extra arguments as filenames to do searches in.
 my @files = @ARGV;
 print STDERR "Arg files: " . @files . "\n" if ($verbose >= 3);
@@ -76,6 +78,7 @@
     process_filehandle(\*STDIN, $match_expression);
 }
 
+exit(1) if not $hit;
 exit(0);
 
 
@@ -175,6 +178,7 @@
                 # Now if the $exp is true then go on.
                 if (eval($exp)) {
                     print "$number\n";
+                    $hit = 1;
                     last EXP;
                 }
             }
@@ -185,6 +189,7 @@
                 my $exp = make_expression($expression, $number);
                 if (eval($exp)) {
                     print "$line";
+                    $hit = 1;
                     last NUM;
                 }
             }
